Skip to main content
POST
/
api
/
v3
/
trustflows
/
generate-link
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v3/trustflows/generate-link \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": 2,
  "trustFlowId": 147
}
'
{
  "success": true,
  "link": "https://web-sdk.idmetagroup.com/v/e1fc9069-06e2-4713-ba79-30ab12795450?m=accid:112233,transactionId:aabb-1234-000"
}

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
type
integer
required

Trust Flow link type. Use 1 for single-use link. Use 2 for time-limited link. Must be an integer — string values such as single_use or time_use are not supported.

trustFlowId
integer
required

Trust Flow ID used to generate the link.

expiry
string<date-time>

Expiry date and time in UTC ISO 8601 format. Required when type is 2. Optional when type is 1. Example: 2026-06-20T08:00:00Z.

metadata
string

Optional custom key-value data appended to the generated URL as the m query parameter. Example: accid:112233,transactionId:aabb-1234-000.

Response

200 - application/json

Trust Flow link generated successfully

success
boolean

Indicates whether the link was generated successfully.

Full generated Trust Flow link.